@import '../../../../scss/variables.scss';
@import '../../../../../node_modules/bulma/sass/utilities/all';

#home-component {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.exploration {
  width: 100%;
  position: relative;
  .two-columns {
    width: 100%;
    p {
      font-size: 1rem;
    }
    & > div {
      width: 50%;
    }
    & > div:first-of-type {
      padding: 5rem 5rem 12vw 5rem;
      background-color: $brand-color;
      * {
        color: $white;
      }
      p {
        margin: .5rem 0 1rem 0;
      }
    }
    & > div:last-of-type {
      background-color: #D83436;
    }
    h2 {
      margin: 0;
    }
    .search-input {
      margin: 3rem 0 1rem 0;
      display: flex;
    }
    .last-dataset {
      min-height: 175px;
      h5 {
        text-transform: uppercase;
        padding: .25rem 0;
        margin-top: 2rem;
      }
      div {
        width: fit-content;
        padding: 6px 16px;
        margin: 10px 0;
        border: 1px solid $white;
        border-radius: 2rem;
        font-size: 14px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 100%;
      }
    }
  }
  .map-component-container {
    position: relative;
    .over-map-links {
      position: absolute;
      bottom: 8%;
      left: 50%;
      transform: translateX(-50%);
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 377px;
      .sample-link{
        & .sample-link:hover {
          text-decoration: none;
        }
        .sample-button {
          background-color: $brand-color !important;
          height: auto;
          font-size: 1.125rem;
          border-radius: 5px;
          border: none;
          color: white;
          font-weight: 700;
          padding: .75rem 2rem;
          * {
            color: white;
          }
          p {
            margin: .25rem 0;
          }
          p:first-child {
            font-weight: normal;
          }
          p:last-child {
            font-size: 1.25rem;
          }
          & > div:last-child {
            margin-left: 1rem;
          }
        }
      }
      .random-button {
        padding: 1.25rem;
        border-top: none;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border-color: #D83436;
        img {
          margin-right: 1rem;
        }
      }
    }
    
    
  }
  .over-curve {
    position: absolute;
    bottom: 2.5vw;
    left: 5rem;
    z-index: 1;
    > span {
      margin: auto;
      font-size: 1.125rem;
    }
    .explore-link {
      margin-top: 1rem;
    }
    
    .explore-link:hover {
      text-decoration: none;
    }
    
    .explore-button {
      background-color: #D83436 !important;
      margin: 1rem;
      margin-bottom: 0;
      height: 3rem;
      font-size: 1.125rem;
      background: transparent;
      border-radius: 4px;
      color: white;
      font-weight: 700;
    }
    
    @media screen and (min-width: $tablet) {
      display: flex;
      
      .explore-link {
        margin-top: 0;
      }
      
      .explore-button {
        margin: 0;
        margin-left: 1.5rem;
      }
    }
  }

  .curve-decoration {
    pointer-events: none;
    position: absolute;
    bottom: -.25rem;
    width: 55%;
    svg {
      display: block;
      width: 100%;
      height: auto;
      path {
        fill: $white;
      }
    } 
  }
}
section:not(:first-of-type) {
  padding: 4rem 5vw;
  width: 100%;
}

#dataset-themes {
  background-color: $white;
  * {
    color: #D83436;
    text-align: center;
  }
  h3 {
    font-size: 1.65rem;
    margin-bottom: 2rem;
  }
}
.dataset-icons {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin: 0 auto;
  max-width: 1000px;
  > div {
    width: 120px;
    margin: 1.5rem 1rem;
    display: flex;
    flex-direction: column;
    img {
      margin: auto;
    }
    p {
      margin-top: .5rem;
      line-height: 1.6rem;
      font-size: 1rem;
      font-weight: bold;
    }
  }
}

@media screen and (min-width: $tablet) and (max-width: $desktop) {
  .dataset-icons {
    max-width: 700px;
  }
}

.title-button {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  h3 {
    color: #000000;
    font-weight: 700;
    font-size: 26px;
    line-height: 36px;
  } 
}
.view-button {
  padding: 12px 24px;
  height: 51px;

  border: 1px solid #D83436;
  border-radius: 4px;

  font-weight: 700;
  font-size: 18px;
  line-height: 27px;
  text-align: center;

  color: #000000;
}

#reuse-samples {
  //max-width: 1000px;
  .reuses-wrapper {
    display: flex;
    flex-wrap: wrap;
    margin-right: -12px;
    margin-left: -12px;
    > div {
      width: 50%;
    }
  }
}
#gl-data-news {
  //max-width: 1000px;
  .reuses-wrapper {
    display: flex;
    flex-wrap: wrap;
    margin-right: -12px;
    margin-left: -12px;
    > div {
      width: 50%;
    }
  }
}
@media screen and (max-width: $tablet) {
  #reuse-samples .reuses-wrapper {
    flex-direction: column;
    > div {
      width: 100%;
    }
  }
}

#data-actors {
  background-color: #D83436;
  * {
    text-align: center;
  } 
  h3 {
    margin-bottom: 2rem;
    font-size: 1.65rem;
  } 
  h3, h3 > strong {
    color: $white;
  }
  .actor-items {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: -1.5vw 0;
    > div {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      background-color: $white;
      border-radius: 5px;
      margin: .75rem;
      padding: 1.5vw;
      img {
        height: 150px;
      }
      h4 {
        color: #000000;
        font-weight: bold;
        font-size: 1.25rem;
        > strong {
          color: #D83436;
        }
      }
      p {
        width: 65%;
        max-width: 290px;
        > strong {
          color: #0057A8;          ;
        }
      }
    }
  }
}

#producer-partners {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #ffffff;
  * {
    text-align: center;
  }
  div {
    width: 100%;
    display: flex;
    justify-content: space-around;
    margin-bottom: 2rem;
    flex-wrap: wrap;
  }
  h3 {
    margin-bottom: 2rem;
    font-size: 1.65rem;
    font-weight: bold;
    color: #000000;
    & > strong {
      color: #D83436;
    }
  }
  a {
    display: flex;
    align-items: center;
    img {
      margin: 1rem;
      min-width: 110px;
      max-width: 145px;
    }
  }
}

#supports {
  .logos {
    display: flex;
    flex-wrap: wrap;
    > div {
      margin: auto 0;
      padding-right: 3rem;
      img {
        height: 3rem;
      }
      &:first-of-type img {
        margin-left: -10px;
        height: 5rem;
      }
      &:last-of-type img {
        height: 4rem;
      }
    }
  }
}